Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.princeton.repeatedgames.rgsolve.utilities.gamecompiler
Class TempGameHolder

    java.lang.Object
      edu.princeton.repeatedgames.rgsolve.games.Game
          edu.princeton.repeatedgames.rgsolve.utilities.gamecompiler.TempGameHolder

All Implemented Interfaces:
  java.io.Serializable

    public abstract class TempGameHolder

extends Game

An abstract class defining a temporary game held in memory. A temporary game will involve a dynamically written/compiled/ loaded class that exists on the classpath *only* for the current runtime session and disappears afterwards. Hence the need for the `GameCodeData` object to serialize this `Game` subclass

See Also:
  Serialized Form

Field Summary
`(package private) GameCodeData` | `gmcodeData` Stores the code data used to generate the source for this game

Fields inherited from class edu.princeton.repeatedgames.rgsolve.games.Game
`description, extension`

Constructor Summary
`TempGameHolder(int m1, int m2, double delta, java.lang.String desc)` Default constructor that must be called by temporary games that extend this class

Method Summary
`GameCodeData` | `getGameCodeData()` Accessor for this object's `GameCodeData`
`void` | `setDiscount(double delta)` Initializes the discount rate `delta`
`void` | `setGameCodeData(GameCodeData gmcodeData)` Sets the `GameCodeData` associated with this `Game`

Methods inherited from class edu.princeton.repeatedgames.rgsolve.games.Game
`actionUsable, copyUsableActions, delta, m, m1, m2, payoff, payoff, payoff1, payoff2, setActionUsable, setDescription, usableActionsDefined`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gmcodeData

    GameCodeData gmcodeData

  Stores the code data used to generate the source for this game

Constructor Detail

### TempGameHolder

    public TempGameHolder(int m1,
                          int m2,
                          double delta,
                          java.lang.String desc)

  Default constructor that must be called by temporary games that extend this class

  Parameters:
    `m1` - num actions player 1
    `m2` - num actions player 2
    `delta` - discount
    `desc` - game notes

Method Detail

### setGameCodeData

    public void setGameCodeData(GameCodeData gmcodeData)

  Sets the `GameCodeData` associated with this `Game`

  Parameters:
    `gmcodeData` -

### getGameCodeData

    public GameCodeData getGameCodeData()

  Accessor for this object's `GameCodeData`

  Returns:
    this object's `GameCodeData`

### setDiscount

    public void setDiscount(double delta)

  Description copied from class: `Game`
  Initializes the discount rate `delta`

  Overrides:
    `setDiscount` in class `Game`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD